FROM php:8.3-cli

RUN apt-get update && apt-get install -y libpq-dev libicu-dev libzip-dev libpng-dev libjpeg-dev libfreetype6-dev git unzip \
    && docker-php-ext-configure gd --with-freetype --with-jpeg \
    && docker-php-ext-install pdo_pgsql pgsql intl gd zip bcmath \
    && curl -sS https://getcomposer.org/installer -o /tmp/composer-setup.php \
    && php /tmp/composer-setup.php --install-dir=/usr/local/bin --filename=composer \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app
CMD ["php", "artisan", "serve", "--host=0.0.0.0", "--port=3030"]
